#include<iostream>
#include<cmath>
using namespace std;
double A[1000000],P[1000000];
int main(){
	unsigned N;double profit,max=0; int i;
	cin>>N;
	for(i=0;i<N;i++){
		cin>>A[i];
		cin>>P[i];
	}
	for(i=0;i<N;i++){
		profit=0;
		for(int j=0;j<N;j++){
			if(P[j]>=P[i])profit+=A[j]*P[i]/100;
		}
		if(profit>max)max=profit;
	}
	printf("%lf",max);
	return 0;
}